Как сделать сайт » Установка и обновление скрипта

Установка и обновление скрипта

Установка и обновление скрипта

Установка скрипта на сервер

 

Установка скрипта на сервер проходит в автоматическом режиме и не должная вызывать особых проблем, но вам необходимо выполнить некоторые действия по настройке прав доступа на папки.

 

1. Для начала скопируйте все файлы из папки upload в данном архиве на ваш сервер.
2. Установите для папки templates и всем вложенным в нее папкам права на запись (CHMOD 777)
3. Установите для всех файлов в папке templates права на запись (CHMOD 666)
4. Установите права для записи (CHMOD 777) для папок backup, uploads, а также для всех папок, находящихся внутри них.
5. Установите права для записи (CHMOD 777) для папок /engine/data/, /engine/cache/, /engine/cache/system/.
6. Запустите файл install.php и следуйте его инструкциям.

 

 

Автоматический инсталлятор проверит все необходимые файлы и настроит подключение к базе данных. После завершения установки вы сможете посмотреть работу скрипта на демонстрационной странице http://website.com/index.php. Для доступа к админпанели необходимо запустить http://website.com/admin.php

 

Обновление скрипта с более старых версий или демоверсий:

 

1. Создайте резервную копию базы данных и всех файлов скрипта на сервере.
2. Обновите все файлы из папки /upload/ вашего архива (за исключением /templates/). Внимание: Файлы из архива дистрибутива, нужно заливать на сервер поверх существующих, а не удалять предварительно папки на сервере.
3. Запустите файл http://website.com/upgrade/index.php, и следуйте дальнейшим инструкциям.
4. Удалите папку /upgrade/ и файл install.php с вашего сервера.
5. В админпанели на главной странице выберите "Очистку кеша", а также полностью очистите кеш браузера, чтобы он скачал новые JS файлы с сервера, а не использовал старые файлы из кеша
6. Внесите необходимые изменения в ваши шаблоны, согласно списку изменений, опубликованному на сайте вместе со ссылкой на дистрибутив.
7. Проверьте настройки скрипта в админпанели.

 

Внимание: обновление скрипта возможно только с версий 3.5 и выше, поддержка более ранних версий прекращена.



Популярное

    Опросы

    Нужен ли Вам свой сайт?

    Да smile
    Нет winked
    Уже есть bully
    Был recourse


    Показать все опросы

    Навигация

     

    Настройки DLE